<?php
/**
 * Setting view
 *
 * @package wp-checkout-maximizer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>

<!-- start: .wrap -->
<div class="wrap">
  <h1><?php printf( __( '%s Settings', IPIMPR_SLUG ), IPIMPR_TITLE ); ?></h1>

  <!-- start: .ipimpr-wrap -->
  <div class="ipimpr-wrap ipimpr-settings">
    <!-- start: .container -->
    <div class="container container-fluid">
      <!-- start: .ipimpr-form -->
      <?php
      $formAction = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipimpr=1&action=setting';
      ?>
      <form id="ipimpr-form-setting" class="ipimpr-form" action="<?php echo $formAction; ?>" method="post">
        <?php wp_nonce_field( plugin_basename( __FILE__ ), 'ipimpr_setting_nonce' ); ?>

        <h3 class="ipimpr-field-title mt30">
          <?php _e( 'Flickr API Settings', IPIMPR_SLUG ); ?>
        </h3>

        <!-- start: .row -->
        <div class="row">
          <!-- start: .ipimpr-fields -->
          <div class="ipimpr-fields col-xs-12">

            <?php
            /*
             * API Key
             */
            ?>
            <!-- start: .ipimpr-field-row -->
            <div class="ipimpr-field-row ipimpr-field-x ipimpr-help-abs">
              <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                <label for="ipimpr-flickr-api-key"><?php _e( 'API Key', IPIMPR_SLUG ); ?></label>
              </div>

              <!-- start: .ipimpr-field -->
              <div class="ipimpr-field col-lg-6 col-md-6 col-sm-12">
                <?php
                $key = get_option( '__ipimpr_flickr_api_key' );
                ?>
                <input type="text" id="ipimpr-flickr-api-key" class="ipimpr-input ipimpr-input-full" name="flickr_api_key" value="<?php echo $key; ?>">

                <div class="ipimpr-help">
                  <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                  <div class="ipimpr-help-content ipimpr-hide">
                    <?php _e( 'The API key for flickr application.', IPIMPR_SLUG ); ?>
                  </div>
                </div>
              </div>
              <!-- end: .ipimpr-field -->
            </div>
            <!-- end: .ipimpr-field-row -->

            <?php
            /*
             * API Secret
             */
            ?>
            <!-- start: .ipimpr-field-row -->
            <div class="ipimpr-field-row ipimpr-field-x ipimpr-help-abs">
              <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                <label for="ipimpr-flickr-api-secret"><?php _e( 'API Secret', IPIMPR_SLUG ); ?></label>
              </div>

              <!-- start: .ipimpr-field -->
              <div class="ipimpr-field col-lg-6 col-md-6 col-sm-12">
                <?php
                $key = get_option( '__ipimpr_flickr_api_secret' );
                ?>
                <input type="text" id="ipimpr-flickr-api-secret" class="ipimpr-input ipimpr-input-full" name="flickr_api_secret" value="<?php echo $key; ?>">

                <div class="ipimpr-help">
                  <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                  <div class="ipimpr-help-content ipimpr-hide">
                    <?php _e( 'The API secret key for flickr application.', IPIMPR_SLUG ); ?>
                  </div>
                </div>
              </div>
              <!-- end: .ipimpr-field -->
            </div>
            <!-- end: .ipimpr-field-row -->

          </div>
          <!-- end: .ipimpr-fields -->

        </div>
        <!-- end: .row -->

        <h3 class="ipimpr-field-title mt30">
          <?php _e( 'Pixabay Settings', IPIMPR_SLUG ); ?>
        </h3>

        <!-- start: .row -->
        <div class="row">
          <!-- start: .ipimpr-fields -->
          <div class="ipimpr-fields col-xs-12">

            <?php
            /*
             * API Key
             */
            ?>
            <!-- start: .ipimpr-field-row -->
            <div class="ipimpr-field-row ipimpr-field-x ipimpr-help-abs">
              <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                <label for="ipimpr-pixabay-api-key"><?php _e( 'API Key', IPIMPR_SLUG ); ?></label>
              </div>

              <!-- start: .ipimpr-field -->
              <div class="ipimpr-field col-lg-6 col-md-6 col-sm-12">
                <?php
                $key = get_option( '__ipimpr_pixabay_api_key' );
                ?>
                <input type="text" id="ipimpr-pixabay-api-key" class="ipimpr-input ipimpr-input-full" name="pixabay_api_key" value="<?php echo $key; ?>">

                <div class="ipimpr-help">
                  <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                  <div class="ipimpr-help-content ipimpr-hide">
                    <?php _e( 'The API key for pixabay application.', IPIMPR_SLUG ); ?>
                  </div>
                </div>
              </div>
              <!-- end: .ipimpr-field -->
            </div>
            <!-- end: .ipimpr-field-row -->

          </div>
          <!-- end: .ipimpr-fields -->

        </div>
        <!-- end: .row -->

        <h3 class="ipimpr-field-title mt30">
          <?php _e( 'Twitter Settings', IPIMPR_SLUG ); ?>
        </h3>

        <!-- start: .row -->
        <div class="row">
          <!-- start: .ipimpr-fields -->
          <div class="ipimpr-fields col-xs-12">

            <?php
            /*
             * API Key
             */
            ?>
            <!-- start: .ipimpr-field-row -->
            <div class="ipimpr-field-row ipimpr-field-x ipimpr-help-abs">
              <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                <label for="ipimpr-twitter-api-key"><?php _e( 'API Key', IPIMPR_SLUG ); ?></label>
              </div>

              <!-- start: .ipimpr-field -->
              <div class="ipimpr-field col-lg-6 col-md-6 col-sm-12">
                <?php
                $key = get_option( '__ipimpr_twitter_api_key' );
                ?>
                <input type="text" id="ipimpr-twitter-api-key" class="ipimpr-input ipimpr-input-full" name="twitter_api_key" value="<?php echo $key; ?>">

                <div class="ipimpr-help">
                  <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                  <div class="ipimpr-help-content ipimpr-hide">
                    <?php _e( 'The API key for twitter application.', IPIMPR_SLUG ); ?>
                  </div>
                </div>
              </div>
              <!-- end: .ipimpr-field -->
            </div>
            <!-- end: .ipimpr-field-row -->

            <?php
            /*
             * API Secret
             */
            ?>
            <!-- start: .ipimpr-field-row -->
            <div class="ipimpr-field-row ipimpr-field-x ipimpr-help-abs">
              <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                <label for="ipimpr-twitter-api-secret"><?php _e( 'API Secret', IPIMPR_SLUG ); ?></label>
              </div>

              <!-- start: .ipimpr-field -->
              <div class="ipimpr-field col-lg-6 col-md-6 col-sm-12">
                <?php
                $secret = get_option( '__ipimpr_twitter_api_secret' );
                ?>
                <input type="text" id="ipimpr-twitter-api-secret" class="ipimpr-input ipimpr-input-full" name="twitter_api_secret" value="<?php echo $secret; ?>">

                <div class="ipimpr-help">
                  <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                  <div class="ipimpr-help-content ipimpr-hide">
                    <?php _e( 'The API key for twitter application.', IPIMPR_SLUG ); ?>
                  </div>
                </div>
              </div>
              <!-- end: .ipimpr-field -->
            </div>
            <!-- end: .ipimpr-field-row -->

            <?php
            /*
             * Access token
             */
            ?>
            <!-- start: .ipimpr-field-row -->
            <div class="ipimpr-field-row ipimpr-field-x ipimpr-help-abs">
              <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                <label for="ipimpr-twitter-access-token"><?php _e( 'Access Token', IPIMPR_SLUG ); ?></label>
              </div>

              <!-- start: .ipimpr-field -->
              <div class="ipimpr-field col-lg-6 col-md-6 col-sm-12">
                <?php
                $token = get_option( '__ipimpr_twitter_access_token' );
                ?>
                <input type="text" id="ipimpr-twitter-access-token" class="ipimpr-input ipimpr-input-full" name="twitter_access_token" value="<?php echo $token; ?>">

                <div class="ipimpr-help">
                  <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                  <div class="ipimpr-help-content ipimpr-hide">
                    <?php _e( 'The access token for twitter application.', IPIMPR_SLUG ); ?>
                  </div>
                </div>
              </div>
              <!-- end: .ipimpr-field -->
            </div>
            <!-- end: .ipimpr-field-row -->

            <?php
            /*
             * Access token secret
             */
            ?>
            <!-- start: .ipimpr-field-row -->
            <div class="ipimpr-field-row ipimpr-field-x ipimpr-help-abs">
              <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                <label for="ipimpr-twitter-access-token-secret"><?php _e( 'Access Token Secret', IPIMPR_SLUG ); ?></label>
              </div>

              <!-- start: .ipimpr-field -->
              <div class="ipimpr-field col-lg-6 col-md-6 col-sm-12">
                <?php
                $secret = get_option( '__ipimpr_twitter_access_token_secret' );
                ?>
                <input type="text" id="ipimpr-twitter-access-token-secret" class="ipimpr-input ipimpr-input-full" name="twitter_access_token_secret" value="<?php echo $secret; ?>">

                <div class="ipimpr-help">
                  <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                  <div class="ipimpr-help-content ipimpr-hide">
                    <?php _e( 'The access token secret for twitter application.', IPIMPR_SLUG ); ?>
                  </div>
                </div>
              </div>
              <!-- end: .ipimpr-field -->
            </div>
            <!-- end: .ipimpr-field-row -->

          </div>
          <!-- end: .ipimpr-fields -->

        </div>
        <!-- end: .row -->

        <h3 class="ipimpr-field-title mt30">
          <?php _e( 'Instagram Settings', IPIMPR_SLUG ); ?>
        </h3>

        <!-- start: .row -->
        <div class="row">
          <!-- start: .ipimpr-fields -->
          <div class="ipimpr-fields col-xs-12">

            <?php
            /*
             * API Key
             */
            ?>
            <!-- start: .ipimpr-field-row -->
            <div class="ipimpr-field-row ipimpr-field-x ipimpr-help-abs">
              <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                <label for="ipimpr-instagram-api-key"><?php _e( 'Client ID', IPIMPR_SLUG ); ?></label>
              </div>

              <!-- start: .ipimpr-field -->
              <div class="ipimpr-field col-lg-6 col-md-6 col-sm-12">
                <?php
                $key = get_option( '__ipimpr_instagram_api_key' );
                ?>
                <input type="text" id="ipimpr-instagram-api-key" class="ipimpr-input ipimpr-input-full" name="instagram_api_key" value="<?php echo $key; ?>">

                <div class="ipimpr-help">
                  <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                  <div class="ipimpr-help-content ipimpr-hide">
                    <?php _e( 'The API key for instagram application.', IPIMPR_SLUG ); ?>
                  </div>
                </div>
              </div>
              <!-- end: .ipimpr-field -->
            </div>
            <!-- end: .ipimpr-field-row -->

          </div>
          <!-- end: .ipimpr-fields -->

        </div>
        <!-- end: .row -->

        <h3 class="ipimpr-field-title mt30">
          <?php _e( 'Unsplash Settings', IPIMPR_SLUG ); ?>
        </h3>

        <!-- start: .row -->
        <div class="row">
          <!-- start: .ipimpr-fields -->
          <div class="ipimpr-fields col-xs-12">

            <?php
            /*
             * Application ID
             */
            ?>
            <!-- start: .ipimpr-field-row -->
            <div class="ipimpr-field-row ipimpr-field-x ipimpr-help-abs">
              <div class="ipimpr-form-label col-lg-3 col-md-6 col-sm-12">
                <label for="ipimpr-unsplash-app-id"><?php _e( 'Application ID', IPIMPR_SLUG ); ?></label>
              </div>

              <!-- start: .ipimpr-field -->
              <div class="ipimpr-field col-lg-6 col-md-6 col-sm-12">
                <?php
                $appid = get_option( '__ipimpr_unsplash_app_id' );
                ?>
                <input type="text" id="ipimpr-unsplash-app-id" class="ipimpr-input ipimpr-input-full" name="unsplash_app_id" value="<?php echo $appid; ?>">

                <div class="ipimpr-help">
                  <a class="ipimpr-btn-help ipimpr-btn ipimpr-btn-default" href="#"><i class="ipimpr-fa ipimpr-fa-question"></i></a>
                  <div class="ipimpr-help-content ipimpr-hide">
                    <?php _e( 'The Unsplash application ID.', IPIMPR_SLUG ); ?>
                  </div>
                </div>
              </div>
              <!-- end: .ipimpr-field -->
            </div>
            <!-- end: .ipimpr-field-row -->

          </div>
          <!-- end: .ipimpr-fields -->

        </div>
        <!-- end: .row -->

        <div class="ipimpr-bottom-submit mt15">
          <button type="submit" class="ipimpr-form-submit ipimpr-btn ipimpr-btn-secondary ipimpr-btn-lg" id="do-save-setting" name="save_setting">
            <i class="ipimpr-fa ipimpr-fa-floppy-o"></i>
            <strong><?php _e( 'Save Change', IPIMPR_SLUG ); ?></strong>
          </button>
        </div>

      </form>
      <!-- end: .ipimpr-form -->
    </div>
    <!-- end: .container -->
  </div>
  <!-- end: .ipimpr-wrap -->
</div>
<!-- end: .wrap -->
