module.exports = function(grunt) {
    grunt.initConfig({
        pkg: grunt.file.readJSON('package.json'),


        browserify: {
            admin_global: {
                src: ['assets/js/dest/admin-global.js'],
                dest: 'assets/js/admin-global.js'
            }
        },
        uglify: {
            admin_global: {
                src: 'assets/js/admin-global.js',
                dest: 'assets/js/admin-global.min.js'
            }
        },
        less: {
            /*
             * Compress
             */
            compress: {
                options: {
                    paths: [
                        "assets/css/less"
                    ],
                    compress: true
                },
                files: {
                    "assets/css/admin-global.min.css": "assets/css/less/admin-global.less"
                }
            },
            /*
             * Uncompress
             */
            uncompress: {
                options: {
                    paths: [
                        "assets/css/less"
                    ],
                    compress: false
                },
                files: {
                    "assets/css/admin-global.css": "assets/css/less/admin-global.less"
                }
            }
        },

        watch: {
            browserify: {
                files: ['assets/**/*.js'],
                tasks: ['browserify'],
                options: {
                    spawn: false,
                }
            },
            uglify: {
                files: ['assets/**/*.js'],
                tasks: ['uglify'],
                options: {
                    spawn: false,
                }
            },
            less: {
                files: ['assets/**/*.less'],
                tasks: ['less'],
                options: {
                    spawn: false,
                }
            }
        }
    });

    grunt.loadNpmTasks('grunt-browserify');
    grunt.loadNpmTasks('grunt-contrib-uglify');
    grunt.loadNpmTasks('grunt-contrib-watch');
    grunt.loadNpmTasks('grunt-contrib-less');

    grunt.registerTask('default', [
        'uglify','watch','less','browserify'
    ]);
};
